package org.jivesoftware.smackx.ikey.element;

import org.jivesoftware.smack.packet.ExtensionElement;
import org.jivesoftware.smack.packet.XmlEnvironment;
import org.jivesoftware.smack.util.XmlStringBuilder;
import org.jivesoftware.smackx.ikey.IkeyConstants;
import org.jivesoftware.smackx.ikey.IkeyType;

import javax.xml.namespace.QName;

public class PlainIKeyElement implements ExtensionElement {

    public static final String NAMESPACE = IkeyConstants.NAMESPACE;
    public static final String ELEMENT = "ikey";
    public static final String ATTR_IKEY_TYPE = "type";

    private final IkeyType type;

    private final QName QNAME = new QName(IkeyConstants.NAMESPACE, ELEMENT);

    public PlainIKeyElement() {
        this.type = IkeyType.OX;
    }

    @Override
    public String getNamespace() {
        return NAMESPACE;
    }

    @Override
    public String getElementName() {
        return ELEMENT;
    }

    @Override
    public XmlStringBuilder toXML(XmlEnvironment xmlEnvironment) {
        XmlStringBuilder xml = new XmlStringBuilder(this, xmlEnvironment);
        return xml;
    }
}
